Name: libkexif
Version: 0.2.5
Release: alt3
Serial: 1

Group: System/Libraries
Summary: KDE Exif Interface
License: GPL
URL: http://www.kipi-plugins.org/ 

Source0: %name-%version.tar.bz2

BuildRequires: xorg-x11-devel doxygen gcc-c++ kdelibs-devel
BuildRequires: libarts-devel libexif-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel xml-utils zlib-devel

%description
The library for manage exif image information

%package devel
Summary: Development files for %name
Group: Development/KDE and QT
Requires: %name = %version-%release
Requires: libexif-devel

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%prep
%setup -q
make -f admin/Makefile.common cvs ||:

%build
%configure \
    --disable-static \
    --enable-shared \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --disable-rpath \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility \
    --disable-debug

%make

%install
%make DESTDIR=%buildroot install

%find_lang --with-kde %name

%post
%post_ldconfig

%postun
%postun_ldconfig

%files -f %name.lang
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/%name.pc

%changelog
* Tue Jan 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.5-alt3
- relocation devel files

* Tue Jan 09 2007 Sergey V Turchin <zerg at altlinux dot org> 1:0.2.5-alt2
- fix configure options

* Sun Jan 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.5-alt1
- 0.2.5
- fixed URL

* Mon Jul 03 2006 Sergey V Turchin <zerg at altlinux dot org> 1:0.2.2-alt4
- fix build requires

* Mon Feb 13 2006 Sergey V Turchin <zerg at altlinux dot org> 1:0.2.2-alt3
- add requires to libexif-devel to -devel subpackage

* Thu Feb 02 2006 Sergey V Turchin <zerg at altlinux dot org> 1:0.2.2-alt2
- rebuilt with new pkg-config

* Tue Sep 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.2-alt1
- 0.2.2

* Fri Jan 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1
- 0.2.1

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:0.1-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Oct 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1-alt1
- 0.1

* Tue Aug 24 2004 Valery Inozemtsev <shrek@altlinux.ru> 20040801-alt1
- initial release

